### Function

# Gimp context_get_pattern

since: 2.2

#### Declaration [src]

    gchar*
    gimp_context_get_pattern (
      void
    )

#### Description [src]

Retrieve the currently active pattern.

This procedure returns name of the the currently active pattern. All clone and bucket-fill operations with patterns will use this pattern to control the application of paint to the image.

Available since: 2.2

#### Return value

Type: `gchar*`

The name of the active pattern. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.